Bug 832548 - Nouveau freezes at boot after Update to kernel 3.4.0-1
Nouveau freezes at boot after Update to kernel 3.4.0-1
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 13:38 EDT by Onyeibo Oku
Modified: 2013-07-31 17:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:50:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages on affected machine (alphagray) (371.22 KB, text/plain)
2012-06-17 01:49 EDT, Onyeibo Oku
no flags Details

  None (edit)
Description Onyeibo Oku 2012-06-15 13:38:51 EDT
Description of problem:
Live media runs well on this system and installation happens smoothly.  F17 boots after installation and recieves updates.  However, once I update to kernel 3.4.0-1 boot fails.


Version-Release number of selected component (if applicable):
1:0.0.16-35.20120306gitf5d1cd2.fc17

How reproducible:
Consistent

Steps to Reproduce:
1. Install F17 from 64bit livemedia
2. Perform Update to present repo (with kernel 3.4.0-1.fc17.x86_64)
3. reboot ... *hang*
  
Actual results:
System freezes at boot after showing GRUB menu

Expected results:
System should reach runlevel 5 and arrive at userspace

Additional info:
Passing 'nomodeset' to the kernel allows boot to proceed as expected

Mobo is Intel® Desktop Board DP43BF
Graphics Card is nVidia NV43 Geforce 6600 GT (rev. a2)
Monitor is Samsung SyncMaster 920N
Processor is Intel Core 2 Quad Q8400 2.66GHz 1333MHz 4MB OEM CPU
RAM is 2GB
Comment 1 Ben Skeggs 2012-06-15 19:46:33 EDT
Are you able to boot with "nomodeset 3", log in, the run "mount -o remount,sync /; modprobe -r nouveau; modprobe nouveau modeset=1"

If you can ssh in and grab the dmesg output, that'd be great.  If not, hopefully after a reboot something useful will be in /var/log/messages.
Comment 2 Onyeibo Oku 2012-06-17 01:49:18 EDT
Created attachment 592374 [details]
/var/log/messages on affected machine (alphagray)

the log covers three stages: (1) The first session -- firstboot through the update (2) Second Session -- after boot fails and 'nomodeset 3' is passed (3) Third session -- running VESA with nomodest to grab /var/log/messages.
Comment 3 Onyeibo Oku 2012-06-17 02:36:22 EDT
(In reply to comment #2)
> the log covers three stages: (1) The first session -- firstboot through the
> update (2) Second Session -- after boot fails and 'nomodeset 3' is passed
> (3) Third session -- running VESA with nomodest to grab /var/log/messages.

1st session = 1 to 1766  
2nd Session = 1765 to 2671
3rd Session = 2672 to the end.

The 1st session contains the update logs showing that xorg-x11-drv-nouveau 0.0.16-35.20120306gitf5d1cd2.fc17 came as part of the update.  I think the area of concern lies between 2560 and 2671.  That area represents what happened after running "mount -o remount,sync /; modprobe -r nouveau; modprobe nouveau modeset=1" which actually froze the system again.
Comment 4 Steve Bamber 2012-07-13 11:34:20 EDT
think i'm hitting the same problem on x86

not been able to boot with any of the 3.4.x kernels at all - they all stop with a 

[1.502508] [drm] nouveau 0000:01:00.0 0xE0F6: Init table command not found: 0x7E
[1.502508] [drm] nouveau 0000:01:00.0 0xE539: Init table command not found: 0x30
[1.502508] [drm] nouveau 0000:01:00.0 0xEA0D: Init table command not found: 0x7C
[1.502508] [drm] nouveau 0000:01:00.0 0xEB9F: Init table command not found: 0x00
[1.502508] [drm] nouveau 0000:01:00.0 0xEC7D: Init table command not found: 0x00
[1.595503] BUG: unable to handle kernel paging request at bcbb3b70
[1.595650] IP: [<f7db8eea>] nouveau_perf_init+0xca/0x890 [nouveau]
[1.595778] *pdf = 00000000
[1.595873] Oops: 0000 [#1] SMP
[1.596004] Modules linked in: nouveau(+) mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core
[1.596004]
[1.596004] Pid: 114, comm: udevd Not tainted 3.4.4-5.fc17.i686 #1 £Shuttle Inc FB71
[1.596004] EIP: 0060:[<f7db8eea>] EFLAGS: 00010297 CPU: 0
[1.596004] EIP is at nouveau_perf_init+0xca/0x890 [nouveau]
[1.596004] EAX: f3f8e033 EBX: bcbb3ab8 ECX: 00000018 EDX: 00000006
[1.596004] ESI: f3f00000 EDI: f3f00eb8 EBP: f3e3fb8c ESP: f3e3fb34

adding nomodeset to the kernel command line allows the boot to complete

$ lspci | grep nV
01:00.0 VGA compatible controller: nVidia Corporation NV43 [GeForce 6600] (rev a2)

i'm still running a 3.3.x kernel for now - works fine with this nouveau driver

any ideas on when we might get a fix ?

cheers
steve
Comment 5 Onyeibo Oku 2013-05-23 21:33:52 EDT
Seems to be working on Fedora-19 (beta) as of today
Comment 6 Fedora End Of Life 2013-07-03 17:04:12 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 17:50:45 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.